/**
 * Created by rockyl on 2020-02-03.
 */

import {Goods} from "./Goods";
import {Platform} from "./Platform";
import ObjectPool = engine.ObjectPool;

export const PoolName: string = 'goods';

ObjectPool.registerPool(PoolName, function () {
	return new Goods();
}, function (item: Goods, data) {
	item.reset();
});
